## org.biojava.bio.program.homologene
Class OrthoPairFilter.Xor

    java.lang.Object
      org.biojava.bio.program.homologene.OrthoPairFilter.Xor

All Implemented Interfaces:
  OrthoPairFilter

Enclosing interface:
  OrthoPairFilter

    public static final class OrthoPairFilter.Xor

extends Object
implements OrthoPairFilter

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.homologene.OrthoPairFilter
`OrthoPairFilter.AcceptAll, OrthoPairFilter.And, OrthoPairFilter.ByMaxIdentity, OrthoPairFilter.ByMinIdentity, OrthoPairFilter.ByRef, OrthoPairFilter.BySimilarityType, OrthoPairFilter.Not, OrthoPairFilter.Or, OrthoPairFilter.Xor`

Constructor Summary
`OrthoPairFilter.Xor(OrthoPairFilter a, OrthoPairFilter b)`

Method Summary
`boolean` `accept(OrthoPair pair)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrthoPairFilter.Xor

    public OrthoPairFilter.Xor(OrthoPairFilter a,
                               OrthoPairFilter b)

Method Detail

### accept

    public boolean accept(OrthoPair pair)

  Specified by:
    `accept` in interface `OrthoPairFilter`